<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");
 require("../tableeditor.class.php");
 require_once("../user.inc.php");
 user_auth_required('committee', 'admin');

 send_header("Events Management", 
 	array('Committee Main' => 'committee_main.php',
		'Administration' => 'admin/index.php',
		'Events & Scheduling' => 'admin/eventsscheduling.php'),
        "events_scheduling" );

echo "<br />";

$editor = new TableEditor('events',
	array(
		"name" => "Event Name",
		"eventtype" => "Type",
		"suggested_grades" => "Suggested Grades",
	),
	array(
		"name" => "Event Name",
		"eventtype" => "Type",
		"summary" => "Summary",
		"website" => "Link to Description",
		"suggested_grades" => "Suggested Grades",
		"min_judges" => "Minimum Number of Judges",
		"max_judges" => "Maximum Number of Judges",
		"default_max_teams" => "Maximum Number of Teams",
		"default_min_team_size" => "Minimum Team Size",
		"default_max_team_size" => "Maximum Team Size"
	),
	array(
		"conferences_id" => $conference['id']
	)
);
$eventtypes=array( 	array('key'=>"general", 'val'=>"General"),
					array('key'=>"scienceolympic", 'val'=>"Science Olympics Activity"),
					array('key'=>"sciencefairjudging", 'val'=>"Science Fair Judging"),
					array('key'=>"tour", 'val'=>"Tour")
					);

$editor->setFieldOptions("eventtype",$eventtypes);
$editor->setPrimaryKey("id");
$editor->setRecordType("Event");
$editor->setDefaultSortField("eventtype,name");
$editor->filterList("conferences_id", $conference['id']);
$editor->execute();

send_footer();

?>
